<?php

namespace App\Services\History\Detector;

use App\Services\History\Converter\AssetConverter;
use App\Services\History\Converter\AssetGroupConverter;
use App\Services\History\Converter\ConverterContact;
use App\Services\History\Converter\EmailConverter;
use App\Services\History\Converter\ModelConverter;
use App\Services\History\Converter\ModelEnumConverter;
use App\Services\History\Converter\PlanConverter;
use App\Services\History\Converter\RequirementGroupConverter;
use App\Services\History\Converter\UserConverter;
use App\Services\History\Converter\WhitelistConverter;

class FileDetector extends DetectorAbstract
{
    public static function fields(): array
    {
        return [
            'created_by'
        ];
    }

    public static function diffFields(): array
    {
        return [
            'description',
        ];
    }

    public static function converters():array
    {
        return [
            "whitelist" => new WhitelistConverter(),
        ];
    }

    public static function arrayFields(): array
    {
        return [

        ];
    }
}
